#include <stdio.h> 

int main(){
  
  int n, brojac=0, i, k, j, s;
  
  scanf("%d", &n);
  
  if(n<=0){
    printf("-1\n");
    return 0;
  }
  
  s=n-1;

  for(i=0; i<n; i++){
    for(k=0; k<brojac; k++){
      printf(" ");
    }
    brojac+=1;
    for(j=0; j<s; j++){
      printf("*-");
    }
    s--;
    printf("*");
    printf("\n");
  }
  return 0;
}
	    
